Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface IInsertableEditPart

All Superinterfaces:
  EditPart, IAdaptable

public interface IInsertableEditPart
extends EditPart

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Method Summary
`IElementType` `getElementType()` getElementType Method for returning the semantic type of the element that can be inserted by default into this editpart.

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getElementType

    public IElementType getElementType()

  getElementType Method for returning the semantic type of the element that can be inserted by default into this editpart.

  Returns:
    IElementType

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.